View as Markdown

API reference / Account REST API (/users/current)

Accounts and provisioning

Account REST API (/users/current). Generated from the OpenAPI document the services export (/openapi.json).

Samples use the placeholders YOUR_API_KEY and YOUR_ACCOUNT_ID. Paste a sandbox key (twsk_…) to fill them in and to use Try it. It stays in this browser tab and is only sent to the sandbox, never to the live API.

Try it is off in this build: No sandbox URL is configured for this build of the docs.

GET /users/current/accounts

List Accounts Auth: auth-token

Parameters of GET /users/current/accounts
ParameterInTypeDescription
offsetqueryinteger
limitqueryinteger
versionqueryinteger[] | null
typequerystring | null
statequerystring[] | null
connectionStatusquerystring[] | null
deploymentStatusquery"deployed" | "undeployed" | "failed" | null
queryquerystring | null
provisioningProfileIdquerystring | null
regionquerystring[] | null
tagsquerystring[] | null
sortOrderquery"asc" | "desc" | null
api-versionheaderstring | null

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X GET 'https://api.tickwire.io/users/current/accounts' \
  -H 'auth-token: YOUR_API_KEY'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "GET",
        "/users/current/accounts",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("GET", "/users/current/accounts");
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/accounts

Create Account Idempotency-Key Auth: auth-token

Parameters of POST /users/current/accounts
ParameterInTypeDescription
transaction-idheaderstring | null
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Request body NewTradingAccount required

Request body fields of POST /users/current/accounts
FieldTypeDescription
name requiredstring
server requiredstring
loginstring | integer | null
passwordstring | null
platform"mt4" | "mt5" | null
provisioningProfileIdstring | null
magicinteger
manualTradesboolean
slippagenumber | null
quoteStreamingIntervalInSecondsnumber
tagsstring[]
metadataobject | null
reliability"regular" | "high"
resourceSlotsinteger
copyFactoryResourceSlotsinteger
regionstring | null
type"cloud" | "cloud-g1" | "cloud-g2"
symbolstring | null
baseCurrencystring | null
copyFactoryRoles"PROVIDER" | "SUBSCRIBER"[]
riskManagementApiEnabledboolean
metastatsApiEnabledboolean
allocateDedicatedIp"ipv4" | "none" | null
keywordsstring[]
serverAddressstring | null

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/accounts' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this' \
  -H 'Content-Type: application/json' \
  -d '{"name":"example","server":"Tickwire-Sandbox","magic":0,"manualTrades":false,"quoteStreamingIntervalInSeconds":2.5,"reliability":"regular","resourceSlots":1,"copyFactoryResourceSlots":1,"type":"cloud-g2","riskManagementApiEnabled":false,"metastatsApiEnabled":false}'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/accounts",
        json={
            "name": "example",
            "server": "Tickwire-Sandbox",
            "magic": 0,
            "manualTrades": False,
            "quoteStreamingIntervalInSeconds": 2.5,
            "reliability": "regular",
            "resourceSlots": 1,
            "copyFactoryResourceSlots": 1,
            "type": "cloud-g2",
            "riskManagementApiEnabled": False,
            "metastatsApiEnabled": False,
        },
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts", {
  body: {
    "name": "example",
    "server": "Tickwire-Sandbox",
    "magic": 0,
    "manualTrades": false,
    "quoteStreamingIntervalInSeconds": 2.5,
    "reliability": "regular",
    "resourceSlots": 1,
    "copyFactoryResourceSlots": 1,
    "type": "cloud-g2",
    "riskManagementApiEnabled": false,
    "metastatsApiEnabled": false
  },
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

GET /users/current/accounts/{account_id}

Get Account Auth: auth-token

Parameters of GET /users/current/accounts/{account_id}
ParameterInTypeDescription
account_id requiredpathstring

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X GET 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID' \
  -H 'auth-token: YOUR_API_KEY'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "GET",
        "/users/current/accounts/YOUR_ACCOUNT_ID",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("GET", "/users/current/accounts/YOUR_ACCOUNT_ID");
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

PUT /users/current/accounts/{account_id}

Update Account Idempotency-Key Auth: auth-token

Parameters of PUT /users/current/accounts/{account_id}
ParameterInTypeDescription
account_id requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Request body UpdateTradingAccount required

Request body fields of PUT /users/current/accounts/{account_id}
FieldTypeDescription
namestring | null
passwordstring | null
serverstring | null
magicinteger | null
manualTradesboolean | null
slippagenumber | null
quoteStreamingIntervalInSecondsnumber | null
tagsstring[] | null
metadataobject | null
copyFactoryRoles"PROVIDER" | "SUBSCRIBER"[] | null
resourceSlotsinteger | null
copyFactoryResourceSlotsinteger | null
metastatsApiEnabledboolean | null
allocateDedicatedIp"ipv4" | "none" | null
serverAddressstring | null

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X PUT 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this' \
  -H 'Content-Type: application/json' \
  -d '{}'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "PUT",
        "/users/current/accounts/YOUR_ACCOUNT_ID",
        json={},
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("PUT", "/users/current/accounts/YOUR_ACCOUNT_ID", {
  body: {},
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

DELETE /users/current/accounts/{account_id}

Delete Account Idempotency-Key Auth: auth-token

Parameters of DELETE /users/current/accounts/{account_id}
ParameterInTypeDescription
account_id requiredpathstring
executeForAllReplicasqueryboolean
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X DELETE 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "DELETE",
        "/users/current/accounts/YOUR_ACCOUNT_ID",
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("DELETE", "/users/current/accounts/YOUR_ACCOUNT_ID", {
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

PUT /users/current/accounts/{account_id}/credentials

Set Credentials Idempotency-Key Auth: auth-token

Parameters of PUT /users/current/accounts/{account_id}/credentials
ParameterInTypeDescription
account_id requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Request body Credentials required

Request body fields of PUT /users/current/accounts/{account_id}/credentials
FieldTypeDescription
loginstring | integer | null
password requiredstring

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X PUT 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/credentials' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this' \
  -H 'Content-Type: application/json' \
  -d '{"password":"YOUR_PASSWORD"}'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "PUT",
        "/users/current/accounts/YOUR_ACCOUNT_ID/credentials",
        json={"password": "YOUR_PASSWORD"},
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("PUT", "/users/current/accounts/YOUR_ACCOUNT_ID/credentials", {
  body: {"password":"YOUR_PASSWORD"},
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/accounts/{account_id}/deploy

Deploy Idempotency-Key Auth: auth-token

Parameters of POST /users/current/accounts/{account_id}/deploy
ParameterInTypeDescription
account_id requiredpathstring
executeForAllReplicasqueryboolean
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/deploy' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/accounts/YOUR_ACCOUNT_ID/deploy",
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/deploy", {
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/accounts/{account_id}/enable-account-features

Enable Account Features Idempotency-Key Auth: auth-token

Parameters of POST /users/current/accounts/{account_id}/enable-account-features
ParameterInTypeDescription
account_id requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Request body AccountFeatures required

Request body fields of POST /users/current/accounts/{account_id}/enable-account-features
FieldTypeDescription
copyFactoryApiCopyTradingEnable | null
riskManagementApiEnabledboolean | null
metastatsApiEnabledboolean | null
reliabilityIncreasedboolean | null
allocateDedicatedIp"ipv4" | "none" | null

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/enable-account-features' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this' \
  -H 'Content-Type: application/json' \
  -d '{}'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/accounts/YOUR_ACCOUNT_ID/enable-account-features",
        json={},
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/enable-account-features", {
  body: {},
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/accounts/{account_id}/enable-copy-factory-api

Enable the copy trading API Idempotency-Key Auth: auth-token

Parameters of POST /users/current/accounts/{account_id}/enable-copy-factory-api
ParameterInTypeDescription
account_id requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Request body CopyTradingEnable required

Request body fields of POST /users/current/accounts/{account_id}/enable-copy-factory-api
FieldTypeDescription
copyFactoryRoles required"PROVIDER" | "SUBSCRIBER"[]
copyFactoryResourceSlotsinteger | null

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/enable-copy-factory-api' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this' \
  -H 'Content-Type: application/json' \
  -d '{"copyFactoryRoles":["PROVIDER"]}'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/accounts/YOUR_ACCOUNT_ID/enable-copy-factory-api",
        json={"copyFactoryRoles": ["PROVIDER"]},
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/enable-copy-factory-api", {
  body: {"copyFactoryRoles":["PROVIDER"]},
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/accounts/{account_id}/enable-metastats-api

Enable the trading statistics API Idempotency-Key Auth: auth-token

Parameters of POST /users/current/accounts/{account_id}/enable-metastats-api
ParameterInTypeDescription
account_id requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/enable-metastats-api' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/accounts/YOUR_ACCOUNT_ID/enable-metastats-api",
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/enable-metastats-api", {
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/accounts/{account_id}/enable-risk-management-api

Enable Risk Management Idempotency-Key Auth: auth-token

Parameters of POST /users/current/accounts/{account_id}/enable-risk-management-api
ParameterInTypeDescription
account_id requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/enable-risk-management-api' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/accounts/YOUR_ACCOUNT_ID/enable-risk-management-api",
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/enable-risk-management-api", {
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/accounts/{account_id}/increase-reliability

Increase Reliability Idempotency-Key Auth: auth-token

Parameters of POST /users/current/accounts/{account_id}/increase-reliability
ParameterInTypeDescription
account_id requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/increase-reliability' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/accounts/YOUR_ACCOUNT_ID/increase-reliability",
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/increase-reliability", {
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/accounts/{account_id}/redeploy

Redeploy Idempotency-Key Auth: auth-token

Parameters of POST /users/current/accounts/{account_id}/redeploy
ParameterInTypeDescription
account_id requiredpathstring
executeForAllReplicasqueryboolean
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/redeploy' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/accounts/YOUR_ACCOUNT_ID/redeploy",
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/redeploy", {
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/accounts/{account_id}/undeploy

Undeploy Idempotency-Key Auth: auth-token

Parameters of POST /users/current/accounts/{account_id}/undeploy
ParameterInTypeDescription
account_id requiredpathstring
executeForAllReplicasqueryboolean
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/undeploy' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/accounts/YOUR_ACCOUNT_ID/undeploy",
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/undeploy", {
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

GET /users/current/provisioning-profiles

List Profiles Auth: auth-token

Parameters of GET /users/current/provisioning-profiles
ParameterInTypeDescription
versionqueryinteger | null
statusquery"new" | "active" | null
typequery"mtTerminal" | "managerApi" | null
queryquerystring | null
offsetqueryinteger
limitqueryinteger
api-versionheaderstring | null

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X GET 'https://api.tickwire.io/users/current/provisioning-profiles' \
  -H 'auth-token: YOUR_API_KEY'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "GET",
        "/users/current/provisioning-profiles",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("GET", "/users/current/provisioning-profiles");
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

POST /users/current/provisioning-profiles

Create Profile Idempotency-Key Auth: auth-token

Parameters of POST /users/current/provisioning-profiles
ParameterInTypeDescription
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Request body NewProfile required

Request body fields of POST /users/current/provisioning-profiles
FieldTypeDescription
name requiredstring
version required4 | 5
brokerTimezone requiredstring
brokerDSTSwitchTimezone requiredstring
type"mtTerminal" | "managerApi"
managerLoginstring | null
managerPasswordstring | null
managerServerstring | null

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X POST 'https://api.tickwire.io/users/current/provisioning-profiles' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this' \
  -H 'Content-Type: application/json' \
  -d '{"name":"example","version":4,"brokerTimezone":"2026-09-01T00:00:00.000","brokerDSTSwitchTimezone":"2026-09-01T00:00:00.000","type":"mtTerminal"}'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "POST",
        "/users/current/provisioning-profiles",
        json={
            "name": "example",
            "version": 4,
            "brokerTimezone": "2026-09-01T00:00:00.000",
            "brokerDSTSwitchTimezone": "2026-09-01T00:00:00.000",
            "type": "mtTerminal",
        },
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/provisioning-profiles", {
  body: {
    "name": "example",
    "version": 4,
    "brokerTimezone": "2026-09-01T00:00:00.000",
    "brokerDSTSwitchTimezone": "2026-09-01T00:00:00.000",
    "type": "mtTerminal"
  },
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

GET /users/current/provisioning-profiles/{profile_id}

Get Profile Auth: auth-token

Parameters of GET /users/current/provisioning-profiles/{profile_id}
ParameterInTypeDescription
profile_id requiredpathstring

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X GET 'https://api.tickwire.io/users/current/provisioning-profiles/PROFILE_ID' \
  -H 'auth-token: YOUR_API_KEY'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "GET",
        "/users/current/provisioning-profiles/PROFILE_ID",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("GET", "/users/current/provisioning-profiles/PROFILE_ID");
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

PUT /users/current/provisioning-profiles/{profile_id}

Update Profile Idempotency-Key Auth: auth-token

Parameters of PUT /users/current/provisioning-profiles/{profile_id}
ParameterInTypeDescription
profile_id requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Request body UpdateProfile required

Request body fields of PUT /users/current/provisioning-profiles/{profile_id}
FieldTypeDescription
namestring | null
brokerTimezonestring | null
brokerDSTSwitchTimezonestring | null
managerLoginstring | null
managerPasswordstring | null
managerServerstring | null

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X PUT 'https://api.tickwire.io/users/current/provisioning-profiles/PROFILE_ID' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this' \
  -H 'Content-Type: application/json' \
  -d '{}'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "PUT",
        "/users/current/provisioning-profiles/PROFILE_ID",
        json={},
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("PUT", "/users/current/provisioning-profiles/PROFILE_ID", {
  body: {},
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

DELETE /users/current/provisioning-profiles/{profile_id}

Delete Profile Idempotency-Key Auth: auth-token

Parameters of DELETE /users/current/provisioning-profiles/{profile_id}
ParameterInTypeDescription
profile_id requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X DELETE 'https://api.tickwire.io/users/current/provisioning-profiles/PROFILE_ID' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "DELETE",
        "/users/current/provisioning-profiles/PROFILE_ID",
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("DELETE", "/users/current/provisioning-profiles/PROFILE_ID", {
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.

PUT /users/current/provisioning-profiles/{profile_id}/{file_name}

Upload File Idempotency-Key Auth: auth-token

Parameters of PUT /users/current/provisioning-profiles/{profile_id}/{file_name}
ParameterInTypeDescription
profile_id requiredpathstring
file_name requiredpathstring
Idempotency-Keyheaderstring | nullOptional; replays the first answer
X-Actorheaderstring | nullWho is acting (audit log)
X-Reasonheaderstring | nullWhy (audit log; percent-encode non-ASCII)

Responses

Errors (common for this kind of call; every error uses one envelope)

curl

curl -sS -X PUT 'https://api.tickwire.io/users/current/provisioning-profiles/PROFILE_ID/FILE_NAME' \
  -H 'auth-token: YOUR_API_KEY' \
  -H 'Idempotency-Key: my-request-1' \
  -H 'X-Reason: why you are doing this'

Python

from tickwire import Tickwire

with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
    result = tw.request(
        "PUT",
        "/users/current/provisioning-profiles/PROFILE_ID/FILE_NAME",
        idempotency_key="my-request-1",
        reason="why you are doing this",
    )
    print(result)

TypeScript

import { TickwireClient } from "@tickwire/sdk";

const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("PUT", "/users/current/provisioning-profiles/PROFILE_ID/FILE_NAME", {
  idempotencyKey: "my-request-1",
  reason: "why you are doing this",
});
console.log(result);
tw.close();
Try it in the sandbox

Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.